CacheSQLExceptionConversionDelegate (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception.internal
Class CacheSQLExceptionConversionDelegate

    java.lang.Object
      org.hibernate.exception.spi.AbstractSQLExceptionConversionDelegate
          org.hibernate.exception.internal.CacheSQLExceptionConversionDelegate

All Implemented Interfaces:
  SQLExceptionConversionDelegate

    public class CacheSQLExceptionConversionDelegate

extends AbstractSQLExceptionConversionDelegate

A `SQLExceptionConversionDelegate` implementation specific to Caché SQL, accounting for its custom integrity constraint violation error codes.

Constructor Summary
`CacheSQLExceptionConversionDelegate(ConversionContext conversionContext)`

Method Summary
`JDBCException` | `convert(SQLException sqlException, String message, String sql)` Convert the given SQLException into Hibernate's JDBCException hierarchy.

Methods inherited from class org.hibernate.exception.spi.AbstractSQLExceptionConversionDelegate
`getConversionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheSQLExceptionConversionDelegate

    public CacheSQLExceptionConversionDelegate(ConversionContext conversionContext)

Method Detail

### convert

    public JDBCException convert(SQLException sqlException,
                                 String message,
                                 String sql)

  Convert the given SQLException into Hibernate's JDBCException hierarchy.

  Parameters:
    `sqlException` - The SQLException to be converted.
    `message` - An optional error message.
    `sql` - Optionally, the sql being performed when the exception occurred.
  Returns:
    The resulting JDBCException; returns null if it could not be converted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.